package fr.eni.enchere.bo;

import java.util.Date;

public class Article {

    int id;
    String nom;
    String desc;
    Date dateDebutEnch;
    Date dateFinEnch;
    float prixInitial;
    float prixVente;
    UserProfil Utilisateur;
    int numCategorie;

    public Article() {
    }

    public Article(int id, String nom, String desc, Date dateDebutEnch, Date dateFinEnch, float prixInitial, float prixVente, UserProfil Utilisateur, int numCategorie) {
        this.id = id;
        this.nom = nom;
        this.desc = desc;
        this.dateDebutEnch = dateDebutEnch;
        this.dateFinEnch = dateFinEnch;
        this.prixInitial = prixInitial;
        this.prixVente = prixVente;
        this.Utilisateur = Utilisateur;
        this.numCategorie = numCategorie;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Date getDateDebutEnch() {
        return dateDebutEnch;
    }

    public void setDateDebutEnch(Date dateDebutEnch) {
        this.dateDebutEnch = dateDebutEnch;
    }

    public Date getDateFinEnch() {
        return dateFinEnch;
    }

    public void setDateFinEnch(Date dateFinEnch) {
        this.dateFinEnch = dateFinEnch;
    }

    public float getPrixInitial() {
        return prixInitial;
    }

    public void setPrixInitial(float prixInitial) {
        this.prixInitial = prixInitial;
    }

    public float getPrixVente() {
        return prixVente;
    }

    public void setPrixVente(float prixVente) {
        this.prixVente = prixVente;
    }

    public UserProfil getUtilisateur() {
        return Utilisateur;
    }

    public void setUtilisateur(UserProfil Utilisateur) {
        this.Utilisateur = Utilisateur;
    }

    public int getNumCategorie() {
        return numCategorie;
    }

    public void setNumCategorie(int numCategorie) {
        this.numCategorie = numCategorie;
    }
}
